ChiliProject - Feature # 286: Support for piwik

Status: Declined Priority: Normal
Author: Daniel Nauck Category:
Created: 2011-03-16 Assignee:
Updated: 2011-03-22 Due date:

Remote issue URL:
Affected version:
Description: Hello,

it would be nice to have a plugin and/or support for "Piwik":http://piwik.org, the free Google Analytics
alternative.

History

2011-03-16 01:22 pm - Felix Schéfer
If it works the same as GA (inserting some code portion to pages), you should be able to use the "Redmine analytics

plugin”:https://projects.littlestreamsoftware.com/projects/redmine-analytics.

2011-03-20 08:08 am - Felix Schéfer

- Status changed from Open to Declined

I've had a closer look at Piwik, and it seems it works with a javascript solution similar to how Google Analytics works. That should stay in my opinion a
plugin, and | think Eric will update it as needed to work with newer ChiliProject versions, so I'm closing this as there already is a solution for it.

Daniel, if you come around using it, it would be nice if you could write up a quick wiki page, thanks :-)

2011-03-22 11:35 pm - Eric Davis

Felix SchArfer wrote:

> I've had a closer look at Piwik, and it seems it works with a javascript solution similar to how Google Analytics works. That should stay in my opinion a

plugin, and | think Eric will update it as needed to work with newer ChiliProject versions, so I'm closing this as there already is a solution for it.

I'm running it on my site so it works with the latest versions. Since it justs inserts a chunk of code into the document you can use whatever analytics

system you want (including HTML image ones).

2020-10-25 1/1



